petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSRHSJacobianSetReuse

restore RHS Jacobian before re-evaluating. Without this flag, TS will change the sign and shift the RHS Jacobian for a finite-time-step implicit solve, in which case the user function will need to recompute the entire Jacobian. The reuse flag must be set if the evaluation function will assume that the matrix entries have not been changed by the TS.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSJacobianSetReuse(TS ts,PetscBool reuse)

Logically Collective

### Input Arguments

| ts | - TS context obtained from TSCreate()
| reuse | - PETSC_TRUE if the RHS Jacobian

### See Also

TSSetRHSJacobian(), TSComputeRHSJacobianConstant()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages